//Datei: PROTOS.H
//
// Nur Prototypen
//
// Holger Klabunde
// Compiler AVR-GCC

#ifndef PROTOS_H
#define PROTOS_H
extern void Delay1ms(unsigned int);
extern void Delay100us(unsigned char);
extern void ShowHex(unsigned char by);

extern void LCDInit(void);
extern void LCDWriteByte(unsigned char);
extern void LCDWrite(char *);
extern void LCDCls(void);
extern void LCDPos(unsigned char, unsigned char);

//ser_ir.c
extern void ser_init (void);
extern void ser_putc (unsigned char c);
extern void ser_puts (unsigned char *s);
extern int ser_gets (unsigned char *s, unsigned char len);
extern unsigned char ser_getc (void);
extern volatile unsigned char rcnt, rpos;
extern volatile unsigned char busy;

extern unsigned char lcdport;
#endif
